> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update a webhook's `url`, `secret`, or `display_name`. Omit `secret` to leave the existing secret unchanged.



## OpenAPI

````yaml latest.yml PATCH /agents/webhooks/{webhook_id}
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /agents/webhooks/{webhook_id}:
    patch:
      tags:
        - Webhooks
      summary: Update Webhook
      description: >-
        Update a webhook's `url`, `secret`, or `display_name`. Omit `secret` to
        leave the existing secret unchanged.
      operationId: webhooks_update
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: webhook_id
          in: path
          description: The ID of the webhook.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWebhookBody'
      responses:
        '200':
          description: Webhook updated. Returns the ID of the updated webhook.
          content:
            application/json:
              schema:
                type: string
                description: The ID of the updated webhook.
        '404':
          description: Webhook not found.
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        enum:
          - '2026-03-01'
  schemas:
    UpdateWebhookBody:
      title: UpdateWebhookBody
      type: object
      description: Fields to update on a webhook.
      properties:
        url:
          type: string
          format: uri
          description: The HTTPS endpoint Cartesia POSTs call events to.
        secret:
          type: string
          description: A new shared secret. Omit to leave the existing secret unchanged.
        display_name:
          type: string
          description: An optional name to identify the webhook.
      required:
        - url
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).

````